Package org.apache.groovy.contracts.util

# Class LifecycleImplementationLoader<S>

java.lang.Object
org.apache.groovy.contracts.util.LifecycleImplementationLoader<S>

All Implemented Interfaces:
  `Iterable<S>`

public final class LifecycleImplementationLoader<S> extends Object implements Iterable<S>

Finds and loads implementation classes of interface `Lifecycle`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<S>`
  `iterator()`
  `static <S> LifecycleImplementationLoader<S>`
  `load(Class<S> service, ClassLoader loader)`
  Creates a new `Lifecycle` for the given type and class loader.
  `void`
  `reload()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Method Details

  - ### reload

    public void reload()

  - ### iterator

    public Iterator<S> iterator()
    Specified by:
      `iterator` in interface `Iterable<S>`

  - ### load

    public static <S> LifecycleImplementationLoader<S> load(Class<S> service, ClassLoader loader)
    Creates a new `Lifecycle` for the given type and class loader.